import {createApp} from 'vue'
import {createPinia} from 'pinia'
import {useCounterStore} from '@/store'
import './app.scss'
import './assets/scss/colorui.scss'
import Taro from "@tarojs/taro";

const pinia = createPinia()
// import piniaPluginPersistedstate from 'pinia-plugin-persistedstate'
// pinia.use(piniaPluginPersistedstate)
const App = createApp({
  onShow(options) {
    try {
      const store = useCounterStore()
      const token = Taro.getStorageSync('token')
      console.log(token)
      if (token) {
        Taro.switchTab({
          url: '/pages/mine/mine'
          // url: '/pages/projectManager/index/index'

        })
        store.setSelected(2)
      } else {
        console.log(2222)
      }
      console.log('App onShow.')
    } catch (err) {
      console.log(err)

    }

  },
  // 入口组件不需要实现 render 方法，即使实现了也会被 taro 所覆盖
})

App.use(pinia)

export default App
